APT (Advanced Packaging Tool) is the standard software package management system for Debian and its derivatives.

learn more… | top users | synonyms (1)

3
votes
1answer
491 views

jetty repositories for Debian lenny 5.0?

This is my current sources.list, and I wish to install libjetty-java, libjetty-extra-java, and jetty, in that order. However, the packages are not found, and I resorted to downlaoding the debs from ...
3
votes
0answers
221 views

btrfs change after system upgrade broke apt-btrfs-snapshot

After upgrading (via apt-get dist-upgrade) a Mint 14 Linux box to Mint 15, apt-btrfs-snapshot seems to have stopped working: 18:25:48 [root@galaxy ~]$ apt-btrfs-snapshot list Sorry, your system lacks ...
3
votes
0answers
31 views

Find packages not maintained in main repo? [duplicate]

Possible Duplicate: listing packages in Debian, a la dpkg -l, but including the package origin/source E.g. Ubuntu Server offers only security updates for software contained in the main ...
2
votes
4answers
638 views

Mastering apt-get

I'd like to learn about apt-get so nothing bad can surprise me. I was looking for some tutorials but have found nothing that teaches it carefully including its internals. I found this article but it's ...
2
votes
2answers
3k views

apt-get install - where does it go?

Just a basic question on this utility... I did sudo apt-get install libhtmlparser-java And I would like to see the source I just downloaded. On Linux (Ubuntu) where ought I look for this?
2
votes
3answers
206 views

Configuring a package that was downloaded using apt-get

I have to reconfigure PHP with some extra options but since I downloaded it on Ubuntu using apt-get I can't seem to find the source anywhere (php -i points the source to a tmp folder which no longer ...
2
votes
4answers
134 views

Is it necessary to reboot after a kernel upgrade (via APT)?

I have been wondering this for quite a while. Let's say that you have a Debian server that you keep updated via APT. Usually (every 1-2 months) there are some kernel updates, which will update the ...
2
votes
2answers
56 views

How to examine an apt repository?

I am trying to set up riak on Debian wheezy. I've followed their instructions to add the basho apt repositories... $> curl http://apt.basho.com/gpg/basho.apt.key | sudo apt-key add - $> sudo ...
2
votes
2answers
205 views

Why there is no https transport for debian apt tool?

With all paranoia that has come with NSA and everything, I'm wondering why debian package installation mechanism does not support HTTPS for its transport, let alone using it by default. I know debian ...
2
votes
1answer
1k views

Debian Squeeze apt-get update issue with HWRAID repositories

I'm running an inherited Debian Squeeze server (read: I just got this new job and the server was setup by the last guy), and I'm having an issue on the apt-get. The error at the end that comes up when ...
2
votes
3answers
919 views

What distro for my PowerBook G4?

I've got an old PowerBook G4 with a 1333 MHz CPU and 1.25 GB RAM. What are some good distro to use? I tried Yellow Dog and Fedora (which didn't work), but I would prefer something more Debian-like, ...
2
votes
2answers
984 views

Why did 'apt-get install ffmpeg' fail?

I dont understand how or why apt-get install failed. It mentions ssmtp which is simple smtp which i use to send mail from my server to my google apps account. I dont understand what is wrong or how to ...
2
votes
1answer
84 views

Why does apt-get remove only a few kB?

I installed nginx (sudo apt-get install nginx) and then removed it with sudo apt-get remove nginx. I to need ensure that the application is uninstalled and cannot run. (I'm still able to run service ...
2
votes
1answer
158 views

apt installing more packages than specified as dependencies

I was trying to install texmaker from the repository. For installing the texlive I followed the steps described here. For this the control file I used is this. It has the file texlive-binaries in it. ...
2
votes
1answer
474 views

Why does Debian sometimes ask me to insert the (installation?) cd when I install packages?

I've noticed sometimes when I do apt-get Debian asks me to insert [the installation cd I used] (6.0.6 amd64 dvd1). Sometimes it doesn't, although maybe it's because I've already mounted it earlier; I ...
2
votes
3answers
8k views

How to install google chrome with apt-get?

My Linux version is Ubuntu: > cat /etc/lsb-release DISTRIB_ID=Ubuntu DISTRIB_RELEASE=9.04 DISTRIB_CODENAME=jaunty DISTRIB_DESCRIPTION="Ubuntu 9.04" running as virtual machine. I did as said ...
2
votes
1answer
114 views

Get current versions of applications via apt-get

I am new to debian. What bothers me is that apt-get install shows just really old versions of everything. E. g. "Eclipse Galileo" but currently it's "Juno" and imho there was "Helios" and "Indigo" in ...
2
votes
1answer
1k views

Install MySQL from Bash Script

I'm coding a bash script to automate the process of deploying VPS servers but I'm having some trouble while trying to install MySQL from either aptitude/apt-get or yum, this is what I have so far: if ...
2
votes
2answers
1k views

What are pros/cons of dselect and apt-get?

I hardly ever hear anyone mention dselect, a deprecated package management front-end for Debian. Considering that it still exists as part of dpkg source, it must still have its uses. What are those? ...
2
votes
5answers
106 views

How to free space on a completely full volume?

I am using Linux. And within an uncontrolled event, my 4GB system disk is full. When I try to uninstall some program by sudo apt-get purge program-name, it gives me this error: /usr/bin/mandb: can't ...
2
votes
2answers
232 views

How does AptConf work in Debian Wheezy?

As far as I understand, the /etc/apt/apt.conf file of Squeeze has been broken into separate files within the /etc/apt/apt.conf.d/ directory in Wheezy. The debian wiki has not been updated yet and it ...
2
votes
2answers
63 views

Debian's no more needed packages

I'm using Crunchbang Linux on my laptop. I noticed a strange behavior of the package manager: when installing a package from the official repo (libdirectfb-extra in my case) apt told me that a bunch ...
2
votes
6answers
5k views

Why can't I upgrade Linux Mint 15 from Cinnamon 1.8.8 to Cinnamon 2.0, and how do I fix it?

So Cinnamon 2.0 is out, and I've followed the steps people have given for upgrading. sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-stable sudo apt-get update sudo apt-get dist-upgrade ...
2
votes
2answers
269 views

Unable to install any programs

I'm trying to install programs but no matter what program I try installing I get the following error. For example I downloaded skype 'skype-debian_4.2.0.11-1_i386.deb' and ran the command: $ cd ...
2
votes
2answers
118 views

What is the equivalent of apt-file in portage, if any? [duplicate]

Hunting for dependencies when compiling software from the scratch is practically unavoidable. In Debian-based Linux distributions which use the apt-get utility to manage packages, there is also a nice ...
2
votes
1answer
46 views

How can I know the dependency packages for an installed package?

Let's say I installed foo. The foo package depends on bar, so bar was installed to satisfy foo's dependency. How can I get Ubuntu/APT/dpkg to tell me that bar is installed because foo is installed? ...
2
votes
1answer
232 views

When does “apt-get install” ask me to confirm whether I want to continue or not?

Sometimes "apt-get install" asks me "Do you want to continue [Y/n]?": root@T43:~# apt-get install chmsee Reading package lists... Done Building dependency tree Reading state information... ...
2
votes
2answers
173 views

Automatic package is installed, but aptitude doesn't find any rdependencies. What am I doing wrong?

I have a package lm-sensors automatically installed on my Ubuntu 10.04, but can't find packages, that depend on it: $ aptitude show lm-sensors Package: lm-sensors New: yes State: installed ...
2
votes
2answers
639 views

Can I determine what changed in an upgraded package using apt or dpkg on Debian 6?

I just did an apt-get upgrade on my Debian 6 development server and noticed that a certain package named tinyproxy was upgraded. I have a particular interest in seeing precisely what changed in that ...
2
votes
2answers
392 views

Is there a way to make apt report which packages in a dist-upgrade will use additional disk space?

I recently decided it was time to do the ol' dist-upgrade. Since I don't upgrade often, I got this message: deus@machina:~/$ sudo apt-get dist-upgrade Reading package lists... Done Building ...
2
votes
2answers
206 views

Is there a way to specify a name for “/etc/apt/sources.list” file?

Can the location for APT sources, named /etc/apt/sources.list, be named differently (e.g. /foo/my-renamed-apt-sources-file"), without breaking APT (i.e. via some configuration)?
2
votes
1answer
375 views

Upgrading ffmpeg

How can I upgrade ffmpeg to version 0.6 on debian-based operating system? I'm using apt-get for installation and deb packages.
2
votes
1answer
5k views

apt-get prompts for CDs when installing packages, how do I make it stop?

I used ubuntu linux before, and I installed debian OS on my labtop using DVDs that I burned. But when I'm trying to use apt-get to install software, the system always asks me to insert disk to ...
2
votes
1answer
393 views

Why does 'apt-get install' suggest packages that I already have?

On Ubuntu Desktop 10.04.1, I have just run apt-get install to install a package. Amongst the list of suggested packages is ssh. I'm confused, because I am sure that I already have ssh installed: # ...
2
votes
2answers
58 views

apt-get shows important packages as “no longer required”

I recently installed Kali Linux in my system. It came with a preinstalled Iceweasel. However, instead of Iceweasel I wanted to install firefox so I followed this guide and installed firefox ...
2
votes
1answer
60 views

apt-file vs apt-cache

I've known about apt-cache for quite some time, but only yesterday stumbled on apt-file. My question is, given this kind of output from the two... ttsiod@avalon ~ $ apt-cache search setxkb ...
2
votes
1answer
87 views

How to regenerate /etc/apt/trustdb.gpg on Debian?

Suppose one deleted (or damaged) the following file. /etc/apt/trustdb.gpg How to regenerate it?
2
votes
1answer
66 views

apt upgrade: start a new shell to examine the situation. Where?

When I do a dist upgrade, I often get prompts about config files like this: Configuration file `/etc/php5/apache2/php.ini' ==> Modified (by you or by a script) since installation. ==> Package ...
2
votes
1answer
313 views

How to custom build debian's busybox?

I'm building an embedded system based on debian 7, and I'd like to make the most out of busybox that comes with debian. The problem is default busybox build in debian seems quite minimal, for example ...
2
votes
1answer
38 views

What is Archive field in Release file used for?

For example current Release file for Wheezy is following: Archive: stable Origin: Debian Label: Debian Version: 7.1 Component: main Architecture: amd64 Now I can't find description of this Archive ...
2
votes
2answers
243 views

Finding yum equivalents of apt repositories?

I have code to setup an Ubuntu server that relies on apt-get. It has lots of packages as documented on our project wiki, for example these: development environment and the ruby dependencies. However, ...
2
votes
2answers
60 views

Get list of packages that provide (APT)

How can I generate a list of packages that the specific package provides using the apt-family?
2
votes
2answers
62 views

Apt-cache search only specified source

I use backtrack and I have a Packages.gz file with some packages on my hard drive. I want to use "apt-cache search" to search only the folder which contain Packages.gz. Is this possible?
2
votes
1answer
349 views

Is my apt-get dependency tree corrupted?

I wanted to uninstall the libboost libraries. I wrote in the console: sudo apt-get remove libboost-* But looking more precisely at the console output, I noticed apt-get was ready to remove several ...
2
votes
1answer
487 views

Apt-get refuses to stop trying to install Acroreader

I'm using Mint 13 if that matters. And I'm new. Anyway, I tried installing Adobe Reader 9 using their installer from: http://www.adobe.com/support/downloads/product.jsp?product=10&platform=Unix ...
2
votes
2answers
296 views

How to select packages start with “mate-” but not end with “-dev”?

I want to install all MATE packages, $ sudo apt-get install '^mate' However, it selects too many packages, and some packages are conflicted with some installed ones. Now, I want to exclude them. ...
2
votes
1answer
493 views

git tab-completion does not work on Debian Wheezy but works on Squeeze

My question is about git command tab-completion, i.e. when I type git stat and hit Tab, it completes the command line to git status. (Where applicable, this also works with remote names and branch ...
2
votes
3answers
187 views

Scan and get the packages installed on Ubuntu along with the version

Is there any Python code to get the list of packages installed on Ubuntu along with the version of the package? I have seen Python code at Generating list of manually installed packages and querying ...
2
votes
2answers
264 views

virtualenv type tool for apt-get?

Is there anyway or any popular tool that can allow me to create an isolated package environment for apt-get similar to what virtualenv does for pip and python packages?
2
votes
3answers
709 views

Unmet dependencies

I am trying to compile vim and install with "--enable-pythoninterp" flag, which needs the python-dev package. INFO I obtained the vim source from ftp://ftp.vim.org/pub/vim/unix/vim-7.3.tar.bz2 Vim7.3 ...